<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">









<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

    <style type="text/css" media="screen">
    @import url('../../../../../../style.css');
    @import url('../../../../../../roundedcorners.css');
  </style>
    
  <title>HttpAsyncClient 4.0-beta3</title></head>
<body onload="onLoad('HttpAsyncClient 4.0-beta3: org.apache.http.nio.client.integration.TestHttpsRedirects.java');">



 <table cellspacing="0" cellpadding="2" class="barGraph"><tbody>
  <tr>
    <td colspan="8">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-asyncclient" target="_top">HttpAsyncClient 4.0-beta3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Thu Sep 27 2012 21:40:52 CEST</div>

        
    
            <div class="navBar"><a href="../../../../../../pkg-summary.html"><b>Overview</b></a>&nbsp;&nbsp;&nbsp;<a href="pkg-summary.html"><b>Package</b></a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">File</span></div>
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="../../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="TestHttpsRedirects.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for file TestHttpsRedirects.java:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'file';">Stmts:</label></td>
           <td >      4
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'file';">LOC:</label></td>
           <td >      57
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'file';">Total cmp:</label></td>
           <td >      3
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      1.33
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'file';">Branches:</label></td>
           <td >      0
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'file';">NCLOC:</label></td>
           <td >      25
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'file';">Cmp density:</label></td>
           <td >      0.75
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      3
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'file';">Methods:</label></td>
           <td >      3
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td colspan="2"></td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'file';">Avg method cmp:</label></td>
           <td >      1
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'file';">Classes:</label></td>
            <td >      1
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for file TestHttpsRedirects.java:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'file';">Stmts:</label></td>
           <td >      4
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'file';">LOC:</label></td>
           <td >      57
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'file';">Total cmp:</label></td>
           <td >      3
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      1.33
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'file';">Branches:</label></td>
           <td >      0
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'file';">NCLOC:</label></td>
           <td >      25
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'file';">Cmp density:</label></td>
           <td >      0.75
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      3
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'file';">Methods:</label></td>
           <td >      3
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td colspan="2"></td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'file';">Avg method cmp:</label></td>
           <td >      1
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'file';">Classes:</label></td>
            <td >      1
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr id="legend" style="display:none;"><td colspan="8">
    <div class="hbreak">&nbsp;</div>
    <table class="legend" cellspacing="0" cellpadding="0">
        <tr><td colspan="3" class="legendTitle">Legend</td></tr>

        <tr><td class="methodToggle" align="right">line#</td><td class="methodToggle" align="right">hit count</td>
            <td class="methodToggle"> </td>
        </tr>
        <tr><td class="lineCount Good" align="right">1</td><td class="coverageCount Good hitByTest" align="right">86</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line hit by 1 or more tests which passed</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">2</td><td class="coverageCount Good missedByTest" align="right">17</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line was covered, but not by a test case</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">3</td><td class="coverageCount Good hitByFailedTest" align="right">7</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line hit by 1 or more tests which did not pass</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">4</td><td class="coverageCount Good hitByTest" align="right">5</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByTest">line hit by more than one (selected) test</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">5</td><td class="coverageCount Good hitByTest" align="right">3</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByTestUniq">line hit by one test only</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">6</td><td class="coverageCount Good hitByTest" align="right">2</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByFailedTest">line hit by one or more (selected) tests that failed</span></td>
        </tr>
        <tr><td class="lineCount Bad" align="right">7</td><td class="coverageCount Bad hitByTest" align="right">1</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine srcLineHilight">line has an expression (e.g. a branch) or statement that was not fully covered</span></td>
        </tr>
        <tr><td class="lineCount Bad" align="right">8</td><td class="coverageCount Bad missedByTest" align="right">0</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine srcLineHilight">line was not covered at all</span></td>
        </tr>
        <tr><td class="lineCount Filtered " align="right">9</td><td class="coverageCount Filtered" align="right"></td>
               <td class="srcCell"><span class="spacer"/><span class="srcLineFiltered">line was filtered</span></td>
        </tr>
        
    </table>
    <div class="hbreak">&nbsp;</div>
    
    
</td></tr>
<tr><td class="hbreak" colspan="8">&nbsp; <label onkeyup="return help_src_file_expandall_summaries;" class="sortable" onclick="toggleAllClasses(this); return false;" id="stat-expander">Expand All</label></td></tr>
</tbody>
         <tbody>
        <tr>             <td class="graphHeaderLeft" id="TestHttpsRedirects" >
                                <span class="expand methodStart" id="span-TestHttpsRedirects" onclick="toggleClass(this, 'TestHttpsRedirects', 3);return false;">&nbsp;</span>
                                <span class="titleText"> <a href="#37" title="TestHttpsRedirects">TestHttpsRedirects</a></span>
                <span class="sortable" onclick="ts_resortTable(document.getElementById('TestHttpsRedirects'), 'alpha', 0);return false;" >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
            </td>

            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 1);return false;">
                Line # 37
                <a name="sl-37"></a>
            </td>

                                        
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 2);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The total number of statements.';"  >Total Statements</label></span>
                    4
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 3);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';"  >% Filtered</label></span>
                    0%
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 4);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'Cyclomatic complexity is a measure of the number of paths in your code.';"  >Complexity</label></span>
                    3
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 5);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';"  >Uncovered Elements</label></span>
                    0
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 6);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';"  >TOTAL Coverage</label></span>
                    100%
</td>
<td class="graphBar graphHeader" align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
                </td>
                
                                    </tr> 
                <tr id="TestHttpsRedirects-1" style="display:none">
            <td class="methodSummary" id="summary-39-5">
                <span class="sortValue">createServerConnectionFactory(HttpParams)&nbsp;:&nbsp;NHttpConnectionFactory&lt;DefaultNHttpServerConnection&gt;</span>
                &nbsp;&nbsp;<a href="#39" title="createServerConnectionFactory(HttpParams)&nbsp;:&nbsp;NHttpConnectionFactory&lt;DefaultNHttpServerConnection&gt;" name="sl-39">createServerConnectionFactory(HttpParams)&nbsp;:&nbsp;NHttpConnectionFactory&lt;DefaultNHttpServerConnection&gt;</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">39</span>
                39
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="TestHttpsRedirects-2" style="display:none">
            <td class="methodSummary" id="summary-45-5">
                <span class="sortValue">getSchemeName()&nbsp;:&nbsp;String</span>
                &nbsp;&nbsp;<a href="#45" title="getSchemeName()&nbsp;:&nbsp;String" name="sl-45">getSchemeName()&nbsp;:&nbsp;String</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">45</span>
                45
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="TestHttpsRedirects-3" style="display:none">
            <td class="methodSummary" id="summary-50-5">
                <span class="sortValue">initClient()&nbsp;:&nbsp;void</span>
                &nbsp;&nbsp;<a href="#50" title="initClient()&nbsp;:&nbsp;void" name="sl-50">initClient()&nbsp;:&nbsp;void</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">50</span>
                50
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">2.0</span>
              2
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
            </td>
              
                   </tr>
             </tbody>
     <tbody><tr><td class="hbreak" colspan="8">&nbsp;</td></tr></tbody>
</table>

<table cellspacing="0" cellpadding="0" class="barGraph">
    <tbody>
<tr>
    <td class="hbreak" align="left" colspan="4">
        &nbsp; <label class="sortable" id="testsToggle" onclick="toggleAllTests(this); return false;" onkeyup="return help_src_file_show_tests;">Show Tests </label>(20) <label onkeyup="return help_select_all;" class="selectable unselected" id="selectalltests" onclick="selectAllTests(this);">Select All </label> <label onkeyup='return help_deselect_all;' class="selectable selected" id="deselectalltests" onclick="deselectAllTests(this);">Deselect All</label>
    </td>
</tr>
</tbody>
<tbody id="tests-body" style="display:none">
<tr id="testHeaderRow">
    <td class="graphHeaderLeft titleText" align="center" >
        <label onkeyup="return help_hilight_test;" id="help_1">Highlight</label>
    </td>
    <td class="graphHeaderLeft titleText sortable" onclick="ts_resortTable(this, 'number', 1);return false;">
        <label onkeyup="return help_test_contribution;" id="help_2">Test Contribution</label>
    </td>
    <td class="graphHeaderLeft titleText sortable" onclick="ts_resortTable(this, 'alpha', 2);return false;">
        <label onkeyup="return help_src_file_test;" id="help_3">Test</label>
    </td>
    <td class="graphHeaderLeft titleText sortable" onclick="ts_resortTable(this, 'alpha', 3);return false;">Result</td>
</tr>

        <tr id="test-5">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-5"></a>
            <input type="checkbox" id="cb-5" value="5" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testCrossSiteRedirect_5.html';">
            <span class="sortValue">0.5714286</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="42.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="57.1% Covered" class="barPositive contribBarPositive" style="width: 57.1%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-5">
            <span class="sortValue">org.apache.http.nio.client.integration.TestRedirects.testCrossSiteRedirect</span>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestRedirects.html?line=769#src-769" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testCrossSiteRedirect_5.html" title="Test Summary Page">org.apache.http.nio.client.integration.TestRedirects.testCrossSiteRedirect</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-2">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-2"></a>
            <input type="checkbox" id="cb-2" value="2" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testBasicRedirect307_2.html';">
            <span class="sortValue">0.2857143</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.6% Covered" class="barPositive contribBarPositive" style="width: 28.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-2">
            <span class="sortValue">org.apache.http.nio.client.integration.TestRedirects.testBasicRedirect307</span>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestRedirects.html?line=458#src-458" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testBasicRedirect307_2.html" title="Test Summary Page">org.apache.http.nio.client.integration.TestRedirects.testBasicRedirect307</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-24">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-24"></a>
            <input type="checkbox" id="cb-24" value="24" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testRedirectWithCookie_o.html';">
            <span class="sortValue">0.2857143</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.6% Covered" class="barPositive contribBarPositive" style="width: 28.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-24">
            <span class="sortValue">org.apache.http.nio.client.integration.TestRedirects.testRedirectWithCookie</span>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestRedirects.html?line=675#src-675" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testRedirectWithCookie_o.html" title="Test Summary Page">org.apache.http.nio.client.integration.TestRedirects.testRedirectWithCookie</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-62">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-62"></a>
            <input type="checkbox" id="cb-62" value="62" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testBasicRedirect302_1q.html';">
            <span class="sortValue">0.2857143</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.6% Covered" class="barPositive contribBarPositive" style="width: 28.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-62">
            <span class="sortValue">org.apache.http.nio.client.integration.TestRedirects.testBasicRedirect302</span>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestRedirects.html?line=331#src-331" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testBasicRedirect302_1q.html" title="Test Summary Page">org.apache.http.nio.client.integration.TestRedirects.testBasicRedirect302</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-59">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-59"></a>
            <input type="checkbox" id="cb-59" value="59" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testRejectRelativeRedirect_1n.html';">
            <span class="sortValue">0.2857143</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.6% Covered" class="barPositive contribBarPositive" style="width: 28.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-59">
            <span class="sortValue">org.apache.http.nio.client.integration.TestRedirects.testRejectRelativeRedirect</span>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestRedirects.html?line=621#src-621" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testRejectRelativeRedirect_1n.html" title="Test Summary Page">org.apache.http.nio.client.integration.TestRedirects.testRejectRelativeRedirect</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-20">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-20"></a>
            <input type="checkbox" id="cb-20" value="20" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testBasicRedirect300_k.html';">
            <span class="sortValue">0.2857143</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.6% Covered" class="barPositive contribBarPositive" style="width: 28.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-20">
            <span class="sortValue">org.apache.http.nio.client.integration.TestRedirects.testBasicRedirect300</span>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestRedirects.html?line=284#src-284" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testBasicRedirect300_k.html" title="Test Summary Page">org.apache.http.nio.client.integration.TestRedirects.testBasicRedirect300</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-53">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-53"></a>
            <input type="checkbox" id="cb-53" value="53" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testRejectInvalidRedirectLocation_1h.html';">
            <span class="sortValue">0.2857143</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.6% Covered" class="barPositive contribBarPositive" style="width: 28.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-53">
            <span class="sortValue">org.apache.http.nio.client.integration.TestRedirects.testRejectInvalidRedirectLocation</span>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestRedirects.html?line=658#src-658" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testRejectInvalidRedirectLocation_1h.html" title="Test Summary Page">org.apache.http.nio.client.integration.TestRedirects.testRejectInvalidRedirectLocation</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-70">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-70"></a>
            <input type="checkbox" id="cb-70" value="70" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testBasicRedirect304_1y.html';">
            <span class="sortValue">0.2857143</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.6% Covered" class="barPositive contribBarPositive" style="width: 28.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-70">
            <span class="sortValue">org.apache.http.nio.client.integration.TestRedirects.testBasicRedirect304</span>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestRedirects.html?line=414#src-414" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testBasicRedirect304_1y.html" title="Test Summary Page">org.apache.http.nio.client.integration.TestRedirects.testBasicRedirect304</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-46">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-46"></a>
            <input type="checkbox" id="cb-46" value="46" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testBasicRedirect305_1a.html';">
            <span class="sortValue">0.2857143</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.6% Covered" class="barPositive contribBarPositive" style="width: 28.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-46">
            <span class="sortValue">org.apache.http.nio.client.integration.TestRedirects.testBasicRedirect305</span>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestRedirects.html?line=436#src-436" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testBasicRedirect305_1a.html" title="Test Summary Page">org.apache.http.nio.client.integration.TestRedirects.testBasicRedirect305</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-8">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-8"></a>
            <input type="checkbox" id="cb-8" value="8" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testPostNoRedirect_8.html';">
            <span class="sortValue">0.2857143</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.6% Covered" class="barPositive contribBarPositive" style="width: 28.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-8">
            <span class="sortValue">org.apache.http.nio.client.integration.TestRedirects.testPostNoRedirect</span>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestRedirects.html?line=521#src-521" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testPostNoRedirect_8.html" title="Test Summary Page">org.apache.http.nio.client.integration.TestRedirects.testPostNoRedirect</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-22">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-22"></a>
            <input type="checkbox" id="cb-22" value="22" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testMaxRedirectCheck_m.html';">
            <span class="sortValue">0.2857143</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.6% Covered" class="barPositive contribBarPositive" style="width: 28.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-22">
            <span class="sortValue">org.apache.http.nio.client.integration.TestRedirects.testMaxRedirectCheck</span>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestRedirects.html?line=483#src-483" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testMaxRedirectCheck_m.html" title="Test Summary Page">org.apache.http.nio.client.integration.TestRedirects.testMaxRedirectCheck</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-9">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-9"></a>
            <input type="checkbox" id="cb-9" value="9" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testBasicRedirect302NoLocation_9.html';">
            <span class="sortValue">0.2857143</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.6% Covered" class="barPositive contribBarPositive" style="width: 28.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-9">
            <span class="sortValue">org.apache.http.nio.client.integration.TestRedirects.testBasicRedirect302NoLocation</span>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestRedirects.html?line=356#src-356" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testBasicRedirect302NoLocation_9.html" title="Test Summary Page">org.apache.http.nio.client.integration.TestRedirects.testBasicRedirect302NoLocation</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-67">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-67"></a>
            <input type="checkbox" id="cb-67" value="67" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testBasicRedirect301_1v.html';">
            <span class="sortValue">0.2857143</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.6% Covered" class="barPositive contribBarPositive" style="width: 28.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-67">
            <span class="sortValue">org.apache.http.nio.client.integration.TestRedirects.testBasicRedirect301</span>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestRedirects.html?line=306#src-306" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testBasicRedirect301_1v.html" title="Test Summary Page">org.apache.http.nio.client.integration.TestRedirects.testBasicRedirect301</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-23">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-23"></a>
            <input type="checkbox" id="cb-23" value="23" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testBasicRedirect303_n.html';">
            <span class="sortValue">0.2857143</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.6% Covered" class="barPositive contribBarPositive" style="width: 28.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-23">
            <span class="sortValue">org.apache.http.nio.client.integration.TestRedirects.testBasicRedirect303</span>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestRedirects.html?line=389#src-389" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testBasicRedirect303_n.html" title="Test Summary Page">org.apache.http.nio.client.integration.TestRedirects.testBasicRedirect303</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-42">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-42"></a>
            <input type="checkbox" id="cb-42" value="42" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testRelativeRedirect_16.html';">
            <span class="sortValue">0.2857143</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.6% Covered" class="barPositive contribBarPositive" style="width: 28.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-42">
            <span class="sortValue">org.apache.http.nio.client.integration.TestRedirects.testRelativeRedirect</span>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestRedirects.html?line=569#src-569" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testRelativeRedirect_16.html" title="Test Summary Page">org.apache.http.nio.client.integration.TestRedirects.testRelativeRedirect</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-11">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-11"></a>
            <input type="checkbox" id="cb-11" value="11" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testRelativeRedirect2_b.html';">
            <span class="sortValue">0.2857143</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.6% Covered" class="barPositive contribBarPositive" style="width: 28.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-11">
            <span class="sortValue">org.apache.http.nio.client.integration.TestRedirects.testRelativeRedirect2</span>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestRedirects.html?line=595#src-595" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testRelativeRedirect2_b.html" title="Test Summary Page">org.apache.http.nio.client.integration.TestRedirects.testRelativeRedirect2</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-58">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-58"></a>
            <input type="checkbox" id="cb-58" value="58" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testCircularRedirect_1m.html';">
            <span class="sortValue">0.2857143</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.6% Covered" class="barPositive contribBarPositive" style="width: 28.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-58">
            <span class="sortValue">org.apache.http.nio.client.integration.TestRedirects.testCircularRedirect</span>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestRedirects.html?line=502#src-502" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testCircularRedirect_1m.html" title="Test Summary Page">org.apache.http.nio.client.integration.TestRedirects.testCircularRedirect</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-19">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-19"></a>
            <input type="checkbox" id="cb-19" value="19" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testRejectBogusRedirectLocation_j.html';">
            <span class="sortValue">0.2857143</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.6% Covered" class="barPositive contribBarPositive" style="width: 28.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-19">
            <span class="sortValue">org.apache.http.nio.client.integration.TestRedirects.testRejectBogusRedirectLocation</span>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestRedirects.html?line=640#src-640" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testRejectBogusRedirectLocation_j.html" title="Test Summary Page">org.apache.http.nio.client.integration.TestRedirects.testRejectBogusRedirectLocation</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-30">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-30"></a>
            <input type="checkbox" id="cb-30" value="30" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testDefaultHeadersRedirect_u.html';">
            <span class="sortValue">0.2857143</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.6% Covered" class="barPositive contribBarPositive" style="width: 28.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-30">
            <span class="sortValue">org.apache.http.nio.client.integration.TestRedirects.testDefaultHeadersRedirect</span>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestRedirects.html?line=708#src-708" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testDefaultHeadersRedirect_u.html" title="Test Summary Page">org.apache.http.nio.client.integration.TestRedirects.testDefaultHeadersRedirect</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-51">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-51"></a>
            <input type="checkbox" id="cb-51" value="51" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testPostRedirectSeeOther_1f.html';">
            <span class="sortValue">0.2857143</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.6% Covered" class="barPositive contribBarPositive" style="width: 28.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-51">
            <span class="sortValue">org.apache.http.nio.client.integration.TestRedirects.testPostRedirectSeeOther</span>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestRedirects.html?line=545#src-545" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects_testPostRedirectSeeOther_1f.html" title="Test Summary Page">org.apache.http.nio.client.integration.TestRedirects.testPostRedirectSeeOther</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
    
</tbody>
<tbody><tr><td class="hbreak" colspan="4">&nbsp;</td></tr></tbody>
</table>

<table cellspacing="0" cellpadding="0" class="srcView">
<tbody>
<tr><td colspan="2" class="sortable methodToggle"><label onkeyup="return help_src_file_expandall_src;" onclick="toggleAllInlineMethods(this); return false;" id="method-expander">Collapse All</label></td><th></th></tr>
</tbody>
<tbody>


        

<tr id="l1">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=1#src-1">1</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-1" class="srcLine"><span class="comment">/*</span></span></td>
</tr>
        

<tr id="l2">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=2#src-2">2</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-2" class="srcLine"><span class="comment"> * ====================================================================</span></span></td>
</tr>
        

<tr id="l3">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=3#src-3">3</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-3" class="srcLine"><span class="comment"> * Licensed to the Apache Software Foundation (ASF) under one</span></span></td>
</tr>
        

<tr id="l4">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=4#src-4">4</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-4" class="srcLine"><span class="comment"> * or more contributor license agreements.  See the NOTICE file</span></span></td>
</tr>
        

<tr id="l5">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=5#src-5">5</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-5" class="srcLine"><span class="comment"> * distributed with this work for additional information</span></span></td>
</tr>
        

<tr id="l6">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=6#src-6">6</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-6" class="srcLine"><span class="comment"> * regarding copyright ownership.  The ASF licenses this file</span></span></td>
</tr>
        

<tr id="l7">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=7#src-7">7</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-7" class="srcLine"><span class="comment"> * to you under the Apache License, Version 2.0 (the</span></span></td>
</tr>
        

<tr id="l8">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=8#src-8">8</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-8" class="srcLine"><span class="comment"> * &quot;License&quot;); you may not use this file except in compliance</span></span></td>
</tr>
        

<tr id="l9">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=9#src-9">9</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-9" class="srcLine"><span class="comment"> * with the License.  You may obtain a copy of the License at</span></span></td>
</tr>
        

<tr id="l10">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=10#src-10">10</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-10" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l11">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=11#src-11">11</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-11" class="srcLine"><span class="comment"> *   http://www.apache.org/licenses/LICENSE-2.0</span></span></td>
</tr>
        

<tr id="l12">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=12#src-12">12</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-12" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l13">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=13#src-13">13</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-13" class="srcLine"><span class="comment"> * Unless required by applicable law or agreed to in writing,</span></span></td>
</tr>
        

<tr id="l14">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=14#src-14">14</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-14" class="srcLine"><span class="comment"> * software distributed under the License is distributed on an</span></span></td>
</tr>
        

<tr id="l15">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=15#src-15">15</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-15" class="srcLine"><span class="comment"> * &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY</span></span></td>
</tr>
        

<tr id="l16">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=16#src-16">16</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-16" class="srcLine"><span class="comment"> * KIND, either express or implied.  See the License for the</span></span></td>
</tr>
        

<tr id="l17">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=17#src-17">17</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-17" class="srcLine"><span class="comment"> * specific language governing permissions and limitations</span></span></td>
</tr>
        

<tr id="l18">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=18#src-18">18</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-18" class="srcLine"><span class="comment"> * under the License.</span></span></td>
</tr>
        

<tr id="l19">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=19#src-19">19</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-19" class="srcLine"><span class="comment"> * ====================================================================</span></span></td>
</tr>
        

<tr id="l20">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=20#src-20">20</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-20" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l21">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=21#src-21">21</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-21" class="srcLine"><span class="comment"> * This software consists of voluntary contributions made by many</span></span></td>
</tr>
        

<tr id="l22">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=22#src-22">22</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-22" class="srcLine"><span class="comment"> * individuals on behalf of the Apache Software Foundation.  For more</span></span></td>
</tr>
        

<tr id="l23">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=23#src-23">23</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-23" class="srcLine"><span class="comment"> * information on the Apache Software Foundation, please see</span></span></td>
</tr>
        

<tr id="l24">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=24#src-24">24</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-24" class="srcLine"><span class="comment"> * &lt;http://www.apache.org/&gt;.</span></span></td>
</tr>
        

<tr id="l25">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=25#src-25">25</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-25" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l26">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=26#src-26">26</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-26" class="srcLine"><span class="comment"> */</span></span></td>
</tr>
        

<tr id="l27">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=27#src-27">27</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-27" class="srcLine"><span class="keyword">package</span> org.apache.<a href="../../../../http/pkg-summary.html">http</a>.nio.<a href="../../client/pkg-summary.html">client</a>.<a href="../integration/pkg-summary.html">integration</a>;</span></td>
</tr>
        

<tr id="l28">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=28#src-28">28</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-28" class="srcLine"></span></td>
</tr>
        

<tr id="l29">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=29#src-29">29</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-29" class="srcLine"><span class="keyword">import</span> org.apache.<a href="../../../../http/pkg-summary.html">http</a>.<a href="../../../../../../org/apache/http/SSLTestContexts.html#SSLTestContexts">SSLTestContexts</a>;</span></td>
</tr>
        

<tr id="l30">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=30#src-30">30</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-30" class="srcLine"><span class="keyword">import</span> org.apache.<a href="../../../../http/pkg-summary.html">http</a>.impl.nio.DefaultNHttpServerConnection;</span></td>
</tr>
        

<tr id="l31">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=31#src-31">31</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-31" class="srcLine"><span class="keyword">import</span> org.apache.<a href="../../../../http/pkg-summary.html">http</a>.impl.nio.SSLNHttpServerConnectionFactory;</span></td>
</tr>
        

<tr id="l32">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=32#src-32">32</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-32" class="srcLine"><span class="keyword">import</span> org.apache.<a href="../../../../http/pkg-summary.html">http</a>.nio.NHttpConnectionFactory;</span></td>
</tr>
        

<tr id="l33">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=33#src-33">33</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-33" class="srcLine"><span class="keyword">import</span> org.apache.<a href="../../../../http/pkg-summary.html">http</a>.nio.<a href="../../conn/pkg-summary.html">conn</a>.<a href="../../conn/scheme/pkg-summary.html">scheme</a>.<a href="../../../../../../org/apache/http/nio/conn/scheme/AsyncScheme.html#AsyncScheme">AsyncScheme</a>;</span></td>
</tr>
        

<tr id="l34">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=34#src-34">34</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-34" class="srcLine"><span class="keyword">import</span> org.apache.<a href="../../../../http/pkg-summary.html">http</a>.nio.<a href="../../conn/pkg-summary.html">conn</a>.<a href="../../conn/ssl/pkg-summary.html">ssl</a>.<a href="../../../../../../org/apache/http/nio/conn/ssl/SSLLayeringStrategy.html#SSLLayeringStrategy">SSLLayeringStrategy</a>;</span></td>
</tr>
        

<tr id="l35">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=35#src-35">35</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-35" class="srcLine"><span class="keyword">import</span> org.apache.<a href="../../../../http/pkg-summary.html">http</a>.params.HttpParams;</span></td>
</tr>
        

<tr id="l36">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=36#src-36">36</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-36" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="37" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-37' onclick="toggleInlineStats(this, 'inlinestats-37');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-37" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-37'), 'inlinestats-37');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="100% Covered" class="barPositive barPositive" style="width: 100%"></div>
    </div>
</div></td><td>100%</td>
           <td class="inlineStat">Uncovered Elements: 0 (7)</td>
           <td class="inlineStat">Complexity: 3</td>
           <td class="inlineStat">Complexity Density: 0.75</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l37">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=37#src-37">37</a></td>
<td align="right" class="coverageCount NoHilight "
           onclick="return showTestsForLine(this, 37, 'Tests that hit &lt;span class=\'srcFragment\'&gt; TestHttpsRedirects &lt;/span&gt;');"
       >
    &nbsp;&nbsp;

</td>
<td class="  srcCell" id="id-37" >
    <span class="spacer"></span><span id="src-37" class="srcLineClassStart"><span class="keyword">public</span> <span class="keyword">class</span> <a href="../../../../../../org/apache/http/nio/client/integration/TestHttpsRedirects.html#TestHttpsRedirects">TestHttpsRedirects</a> <span class="keyword">extends</span> <a href="../../../../../../org/apache/http/nio/client/integration/TestRedirects.html#TestRedirects">TestRedirects</a> {</span></td>
</tr>
        

<tr id="l38">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=38#src-38">38</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-38" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="39" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-39' onclick="toggleInlineStats(this, 'inlinestats-39');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-39" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-39'), 'inlinestats-39');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="100% Covered" class="barPositive barPositive" style="width: 100%"></div>
    </div>
</div></td><td>100%</td>
           <td class="inlineStat">Uncovered Elements: 0 (1)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 1</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l39">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=39#src-39">39</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 39, 'Tests that hit &lt;span class=\'srcFragment\'&gt; createServerConnectionFactory(HttpParams)&amp;nbsp;:&amp;nbsp;NHttpConnectionFactory&amp;lt;DefaultNHttpServerConnection&amp;gt; &lt;/span&gt;');"
       >
    <span title="Line 39, Col 5: method entered 21 times." class="nolink">&nbsp;21</span>

</td>
<td class="  methodStart  srcCell" id="id-39" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 39,43);" id="img-39" src="../../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-39" class="srcLine"><span class="nolink" title="Line 39, Col 5: method entered 21 times.">    @Override</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-39'), 39,43);" id="e39" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l40">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=40#src-40">40</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-40" class="srcLine">    <span class="keyword">protected</span> NHttpConnectionFactory&lt;DefaultNHttpServerConnection&gt; createServerConnectionFactory(</span></td>
</tr>
        

<tr id="l41">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=41#src-41">41</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-41" class="srcLine">            <span class="keyword">final</span> HttpParams params) <span class="keyword">throws</span> Exception {</span></td>
</tr>
        

<tr id="l42">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=42#src-42">42</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 42, 'Tests that hit line # 42');"
    >
    <span title="Line 42, Col 9: statement executed 21 times." class="nolink">&nbsp;21</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-42" class="srcLine"><span class="nolink" title="Line 42, Col 9: statement executed 21 times.">        <span class="keyword">return</span> <span class="keyword">new</span> SSLNHttpServerConnectionFactory(<a href="../../../../../../org/apache/http/SSLTestContexts.html#SSLTestContexts">SSLTestContexts</a>.createServerSSLContext(), <span class="keyword">null</span>, params);</span></span></td>
</tr>
        

<tr id="l43">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=43#src-43">43</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-43" class="srcLine">    }</span></td>
</tr>
        

<tr id="l44">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=44#src-44">44</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-44" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="45" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-45' onclick="toggleInlineStats(this, 'inlinestats-45');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-45" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-45'), 'inlinestats-45');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="100% Covered" class="barPositive barPositive" style="width: 100%"></div>
    </div>
</div></td><td>100%</td>
           <td class="inlineStat">Uncovered Elements: 0 (1)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 1</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l45">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=45#src-45">45</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 45, 'Tests that hit &lt;span class=\'srcFragment\'&gt; getSchemeName()&amp;nbsp;:&amp;nbsp;String &lt;/span&gt;');"
       >
    <span title="Line 45, Col 5: method entered 34 times." class="nolink">&nbsp;34</span>

</td>
<td class="  methodStart  srcCell" id="id-45" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 45,48);" id="img-45" src="../../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-45" class="srcLine"><span class="nolink" title="Line 45, Col 5: method entered 34 times.">    @Override</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-45'), 45,48);" id="e45" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l46">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=46#src-46">46</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-46" class="srcLine">    <span class="keyword">protected</span> String getSchemeName() {</span></td>
</tr>
        

<tr id="l47">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=47#src-47">47</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 47, 'Tests that hit line # 47');"
    >
    <span title="Line 47, Col 9: statement executed 34 times." class="nolink">&nbsp;34</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-47" class="srcLine"><span class="nolink" title="Line 47, Col 9: statement executed 34 times.">        <span class="keyword">return</span> <span class="string">&quot;https&quot;</span>;</span></span></td>
</tr>
        

<tr id="l48">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=48#src-48">48</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-48" class="srcLine">    }</span></td>
</tr>
        

<tr id="l49">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=49#src-49">49</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-49" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="50" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-50' onclick="toggleInlineStats(this, 'inlinestats-50');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-50" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-50'), 'inlinestats-50');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="100% Covered" class="barPositive barPositive" style="width: 100%"></div>
    </div>
</div></td><td>100%</td>
           <td class="inlineStat">Uncovered Elements: 0 (2)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 0.5</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l50">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=50#src-50">50</a></td>
<td align="right" class="coverageCount Good missedByTest"
            >
    <span title="Line 50, Col 5: method entered 20 times." class="nolink">&nbsp;20</span>

</td>
<td class="  methodStart  srcCell" id="id-50" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 50,55);" id="img-50" src="../../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-50" class="srcLine"><span class="nolink" title="Line 50, Col 5: method entered 20 times.">    @Override</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-50'), 50,55);" id="e50" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l51">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=51#src-51">51</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-51" class="srcLine">    <span class="keyword">public</span> <span class="keyword">void</span> initClient() <span class="keyword">throws</span> Exception {</span></td>
</tr>
        

<tr id="l52">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=52#src-52">52</a></td>
<td align="right" class="coverageCount Good missedByTest"
         >
    <span title="Line 52, Col 9: statement executed 20 times." class="nolink">&nbsp;20</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-52" class="srcLine"><span class="nolink" title="Line 52, Col 9: statement executed 20 times.">        <span class="keyword">super</span>.initClient();</span></span></td>
</tr>
        

<tr id="l53">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=53#src-53">53</a></td>
<td align="right" class="coverageCount Good missedByTest"
         >
    <span title="Line 53, Col 9: statement executed 20 times." class="nolink">&nbsp;20</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-53" class="srcLine"><span class="nolink" title="Line 53, Col 9: statement executed 20 times.">        <span class="keyword">this</span>.connMgr.getSchemeRegistry().register(<span class="keyword">new</span> <a href="../../../../../../org/apache/http/nio/conn/scheme/AsyncScheme.html#AsyncScheme">AsyncScheme</a>(<span class="string">&quot;https&quot;</span>, 443,</span></span></td>
</tr>
        

<tr id="l54">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=54#src-54">54</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-54" class="srcLine">                <span class="keyword">new</span> <a href="../../../../../../org/apache/http/nio/conn/ssl/SSLLayeringStrategy.html#SSLLayeringStrategy">SSLLayeringStrategy</a>(<a href="../../../../../../org/apache/http/SSLTestContexts.html#SSLTestContexts">SSLTestContexts</a>.createClientSSLContext())));</span></td>
</tr>
        

<tr id="l55">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=55#src-55">55</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-55" class="srcLine">    }</span></td>
</tr>
        

<tr id="l56">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=56#src-56">56</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-56" class="srcLine"></span></td>
</tr>
        

<tr id="l57">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=57#src-57">57</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-57" class="srcLine">}</span></td>
</tr>
</tbody></table>
<table width="100%"><tr><td class="hbreak" colspan="8">&nbsp;</td></tr>
<tr><td class="footer" colspan="8">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Thu Sep 27 2012 21:41:17 CEST</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></table>
<script type="text/javascript">
    var ol_bgclass = "overBG";
    var ol_fgclass = "overFG";
    var ol_cgclass = "overCaption";
    var ol_captionfontclass= "overCaption";
    var ol_closefontclass = "closeFont";
    var ol_closeclick = 1;
    var ol_close = 'X';
    var ol_wrap = 1;
    var rootRelPath = '../../../../../../';
    var testsPerFile = -1;
</script>
<script src="TestHttpsRedirects.js" type="text/javascript"></script>
<script src="../../../../../../help.js" type="text/javascript"></script>
<script src="../../../../../../clover.js" type="text/javascript"></script>
<script src="../../../../../../sorttable.js" type="text/javascript"></script>
<script src="../../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
<script src="../../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
<script src="../../../../../../utils.js" type="text/javascript"></script>
</body>

</html>
